Cyrus IMAP Server < 2.2.11 Multiple Remote Overflows

High Nessus Plugin ID 17208


The remote IMAP server is affected by multiple buffer overflow issues.


According to its banner, the remote Cyrus IMAP server is affected by off-by-one errors in its imapd annotate extension and its cached header handling which can be triggered by an authenticated user, a buffer overflow in fetchnews that can be triggered by a peer news admin, and an unspecified stack-based buffer overflow in imapd.


Upgrade to Cyrus IMAP server version 2.2.11 or later.

See Also

Plugin Details

Severity: High

ID: 17208

File Name: cyrus_imap_multiple_vulnerabilities.nasl

Version: $Revision: 1.16 $

Type: remote

Published: 2005/02/24

Modified: 2016/05/04

Dependencies: 11196

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:cmu:cyrus_imap_server

Exploit Available: false

Exploit Ease: No known exploits are available

Vulnerability Publication Date: 2005/02/24

Reference Information

CVE: CVE-2005-0546

BID: 12636

OSVDB: 14089, 14090, 14091, 14092, 14093